| The Gaudi Framework v32r1 (f65d50dc)

Public Types | Public Member Functions | Public Attributes | List of all members
Gaudi::Parsers::IdentifierGrammar< Iterator, Skipper > Struct Template Reference

`#include <src/JobOptionsSvc/Grammar.h>`

Inheritance diagram for Gaudi::Parsers::IdentifierGrammar< Iterator, Skipper >:
[legend]
Collaboration diagram for Gaudi::Parsers::IdentifierGrammar< Iterator, Skipper >:
[legend]

## Public Types
typedef std::string | ResultT

## Public Member Functions
| IdentifierGrammar ()

## Public Attributes
qi::rule< Iterator, Node(), Skipper > | ident
qi::rule< Iterator, std::string(), Skipper > | str
qi::rule< Iterator, std::string()> | inner
ph::function< NodeOperations > | op

## Detailed Description

### template<typename Iterator, typename Skipper>
struct Gaudi::Parsers::IdentifierGrammar< Iterator, Skipper >

Definition at line 71 of file Grammar.h.

## Member Typedef Documentation

## ◆ ResultT

template<typename Iterator, typename Skipper>

typedef std::string Gaudi::Parsers::IdentifierGrammar< Iterator, Skipper >::ResultT

Definition at line 73 of file Grammar.h.

## Constructor & Destructor Documentation

## ◆ IdentifierGrammar()

template<typename Iterator, typename Skipper>

Gaudi::Parsers::IdentifierGrammar< Iterator, Skipper >::IdentifierGrammar | ( |  | ) |
| inline

Definition at line 75 of file Grammar.h.

75 : IdentifierGrammar::base_type( ident ) {
76 ident =
77 rep::qi::iter_pos[op( qi::_val, qi::_1 )] >> str[op( qi::_val, qi::_1 )][op( qi::_val, Node::kIdentifier )];
78 str = -qi::lit( "::" )[qi::_val += "::"] >> inner[qi::_val += qi::_1] >>
79 *( qi::lit( "::" ) >> inner[qi::_val += ( "::" + qi::_1 )] );
80 inner = qi::alpha >> *( qi::alnum | qi::char_( '_' ) );
81 }
Gaudi::Parsers::IdentifierGrammar::str
qi::rule< Iterator, std::string(), Skipper > str
Definition: Grammar.h:84
Gaudi::Parsers::IdentifierGrammar::op
ph::function< NodeOperations > op
Definition: Grammar.h:86
Gaudi::Parsers::IdentifierGrammar::ident
qi::rule< Iterator, Node(), Skipper > ident
Definition: Grammar.h:83
Gaudi::Parsers::IdentifierGrammar::inner
qi::rule< Iterator, std::string()> inner
Definition: Grammar.h:85
Gaudi::Parsers::Node::kIdentifier
Definition: Node.h:29

## Member Data Documentation

## ◆ ident

template<typename Iterator, typename Skipper>

qi::rule<Iterator, Node(), Skipper> Gaudi::Parsers::IdentifierGrammar< Iterator, Skipper >::ident

Definition at line 83 of file Grammar.h.

## ◆ inner

template<typename Iterator, typename Skipper>

qi::rule<Iterator, std::string()> Gaudi::Parsers::IdentifierGrammar< Iterator, Skipper >::inner

Definition at line 85 of file Grammar.h.

## ◆ op

template<typename Iterator, typename Skipper>

ph::function<NodeOperations> Gaudi::Parsers::IdentifierGrammar< Iterator, Skipper >::op

Definition at line 86 of file Grammar.h.

## ◆ str

template<typename Iterator, typename Skipper>

qi::rule<Iterator, std::string(), Skipper> Gaudi::Parsers::IdentifierGrammar< Iterator, Skipper >::str

Definition at line 84 of file Grammar.h.

The documentation for this struct was generated from the following file:

- GaudiCoreSvc/src/JobOptionsSvc/Grammar.h